const template = require('./template');
const appConfig = require('../config');

module.exports = function getUrl(pattern) {
    if (pattern.indexOf('/') === 0 && pattern.indexOf(appConfig.app.root) !== 0) {
        return appConfig.app.root + pattern.substring(1);
    }

    return template.build(pattern, appConfig);
};
